#include "jsonutil.h"

#include <json/json.h>

#include <fstream>

void JsonUtil::exportSellers(const std::string& filename, Marketplace* market)
{
    Json::Value root;
    std::ofstream file(filename);

    Json::StreamWriterBuilder builder;
    builder["commentStyle"] = "None";
    builder["indentation"] = "   ";

    std::unique_ptr<Json::StreamWriter> writer(builder.newStreamWriter());

    root["encoding"] = "UTF-8";

    for (const auto& seller : market->getSellers()) {
        Json::Value newEntry;
        newEntry["uuid"] = seller->getUuidAsString();
        newEntry["seller_no"] = seller->getSellerNo();
        newEntry["last_name"] = seller->getLastName();
        newEntry["first_name"] = seller->getFirstName();
        newEntry["num_offered_articles"] = seller->getFirstName();
        root["sellers"].append(newEntry);
    }

    writer->write(root, &file);
}